<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Vue.js Components Fundamentals</title>
</head>

<body>
  <div id="app">
    <h1>Vue.js Components Fundamentals</h1>
    <click-counter></click-counter>
    <click-counter></click-counter>
    <click-counter></click-counter>
    <click-counter></click-counter>
  </div>

  <script type="text/x-template" id="click-counter-template">
    <div>
      <p>the count is:</p>
      <button @click="count++">{{count}}</button>
    </div>
  </script>
  
  <script src="https://unpkg.com/vue"></script>
  <script src="app.js"></script>
</body>

</html>  
